<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Lpj\Database\Factories\AnalisaTanahBagunanFactory;

class AnalisaTanahBagunan extends Base
{
    use HasFactory;

    protected $table = 'analisa_tanah_bangunan';

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = ['bentuk_tanah', 'kontur_tanah', 'posisi_kavling', 'ketinggian_jalan','kontur_jalan', 'kondisi_fisik_tanah','jenis_bangunan', 'kondisi_bangunan', 'sifat_bangunan', 'sarana_pelengkap', 'analisa_id', 'tusuk_sate','lockland'];


    public function analisa()
    {
        return $this->belongsTo(Analisa::class);
    }

    public function spekBangunanAnalisa()
    {
        return $this->hasMany(SpekBangunanAnalisa::class, 'analisa_tanah_bangunan_id');
    }

    public function spekBagunanAnalisaDetail()
    {
        return $this->hasMany(SpekBagunanAnalisaDetail::class, 'analisa_tanah_bangunan_id');
    }

    protected static function newFactory(): AnalisaTanahBagunanFactory
    {
        //return AnalisaTanahBagunanFactory::new();
    }
}
